Merchant Orders Documentation
Operations to manage documents for merchant orders that require them for AML/KYC.
Docs required for merchant order
Verifone allocated ID for the Order.
32c480b5-4dfb-4c53-959f-49edf45a0931Required Document list
Merchant Required Document Details
Unique identifier for the document.
Name of the document.
Display name of the document shown to end user.
Current status of the document.
Size of the uploaded document in bytes. Default is 2 MB (2097152 bytes), maximum allowed is 8 MB (8388608 bytes).
2097152Bad Request
Unauthorised Request
Forbidden Request.
Not Found Request
Too Many Requests
Internal Error
Service Not Available
Service Timeout
GET /orders/{orderId}/required-documents HTTP/1.1
Host: api.verifone.com
Accept: */*
[
{
"documentId": "123e4567-e89b-12d3-a456-426614174000",
"documentName": "text",
"displayName": "text",
"status": "PENDING_UPLOAD",
"allowedContentTypes": [
"application/pdf"
],
"allowedContentLength": 2097152,
"contact": {
"contactType": "BUSINESS",
"name": {
"firstName": "text",
"lastName": "text",
"prefix": "text",
"alternateFullName": "text",
"middleName": "text",
"suffix": "text"
},
"phoneNumbers": [
{
"callingCode": "text",
"value": "text",
"extension": "text",
"isPrimary": false,
"phoneType": "HOME"
}
],
"email": "name@gmail.com",
"businessTitle": "text",
"passportId": "text",
"nationality": "text",
"additionalNationalities": [
"text"
],
"nationalIdentifer": "text"
}
}
]Generate URLs for document upload. These will expire after a short period to which you will need to request new URLs.
Verifone allocated ID for the Order.
32c480b5-4dfb-4c53-959f-49edf45a0931Upload Document Meta Info.
Name of the document.
Content type of the document.
Size of the uploaded document in bytes. Maximum allowed is 8 MB (8388608 bytes).
URLs to upload the required documents.
Upload Document Meta Info.
Name of the document.
Content type of the document.
Size of the uploaded document in bytes. Maximum allowed is 8 MB (8388608 bytes).
Upload URL for this document.
Bad Request
Unauthorised Request
Forbidden Request.
Not Found Request
Too Many Requests
Internal Error
Service Not Available
Service Timeout
POST /orders/{orderId}/upload-urls HTTP/1.1
Host: api.verifone.com
Content-Type: application/json
Accept: */*
Content-Length: 75
[
{
"documentName": "text",
"contentType": "application/pdf",
"contentLength": 1
}
][
{
"documentName": "text",
"contentType": "application/pdf",
"contentLength": 1,
"uploadUrl": "text"
}
]Delete document by id
Verifone allocated ID for the Order.
32c480b5-4dfb-4c53-959f-49edf45a0931Id of the document to be deleted.
Document Deleted
No content
Bad Request
Unauthorised Request
Forbidden Request.
Not Found Request
Too Many Requests
Internal Error
Service Not Available
Service Timeout
DELETE /orders/{orderId}/documents/{documentId} HTTP/1.1
Host: api.verifone.com
Accept: */*
No content
Last updated
Was this helpful?
